Skip to content

getReceipt

GET
/v1/explorer/receipts/{receipt_hash}
curl --request GET \
--url https://testnet-rpc.necter.network/v1/explorer/receipts/example
receipt_hash
required
string
/^0x[0-9a-f]{64}$/

Execution receipt (with signatures) or reward receipt v1/v2

Media typeapplication/json
object
kind
required
string
Allowed values: execution reward_v1 reward_v2
receipt
required

Execution receipt envelope, § Reward receipt, or

object
rounds
Array<string>
settlement
object
status

open: the epoch has no attested receipt yet (nothing to settle)

string
Allowed values: open queued signed sent settled released vetoed reverted failed
tx_hash
string
/^0x[0-9a-f]{64}$/
block_number
integer
claimable_at
integer
error
string | null

Example

{
"kind": "execution",
"settlement": {
"status": "open"
}
}

not_found

Media typeapplication/json
object
error
required

Stable machine code

string
message
required
string
details
object
key
additional properties
any
request_id
required
string

Example generated

{
"error": "example",
"message": "example",
"details": {},
"request_id": "example"
}